;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here! Remember, you do not need to run 'doom
;; sync' after modifying this file!


;; Some functionality uses this to identify you, e.g. GPG configuration, email
;; clients, file templates and snippets. It is optional.
(setq user-full-name "mokou"
      user-mail-address "mokou@fastmail.com")

;; Maximize the window after startup
(add-to-list 'default-frame-alist '(fullscreen . maximized))

(setq doom-font (font-spec :family "JetBrains Mono" :size 14))

;; There are two ways to load a theme. Both assume the theme is installed and
;; available. You can either set `doom-theme' or manually load a theme with the
;; `load-theme' function. This is the default:
(setq doom-theme 'doom-opera)

;; This determines the style of line numbers in effect. If set to `nil', line
;; numbers are disabled. For relative line numbers, set this to `relative'.
(setq display-line-numbers-type t)

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/Org/")

;; Set default tab width to 2
(setq tab-width 2)

;; Set a custom splash screen
(setq fancy-splash-image "~/.local/share/chezmoi/misc/emacs-splash.png")

;; Configure email account
(set-email-account! "fastmail.com"
                    '((mu4e-sent-folder . "/fastmail/Sent")
                      (mu4e-drafts-folder . "/fastmail/Drafts")
                      (mu4e-trash-folder . "/fastmail/Trash")
                      (mu4e-refile-folder . "/fastmail/Archive")
                      (smtpmail-smtp-user . "mokou@fastmail.com")
                      (user-mail-address . "mokou@fastmail.com"))
                    t)
